Status: Feedback Priority: Normal

Author: D'D»D°D’' D, VD NE DEDY:D»DuUNDY-D [[TebeditnoD Vs

Created: 06/03/2017 Assignee:

Updated: 06/22/2017 Due date:

Subject: DiP+b¥%NEDD° www-client/firefox-53.0.3 Ne N,D»D°D3D¥:DY: pgo B,D- D,N+N...D¥D DY:D, DoD¥4D?
Description:

History

06/03/2017 08:49 am - D’D»D°D’'D P¥D NE DEDYD»PuN«D%:D NiDubYsDoD¥s

<pre>

Making langpack /var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/dist/linux-x86_64/xpi/firefox-53.0.3.en-US.langpack.xpi
.I..Iconfig/nsinstall -D ../../dist/linux-x86_64/xpi/
Ivar/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/_virtualenv/bin/python -m  mozbuild.action.preprocessor -DNDEBUG=1

-DTRIMMED=1 -DDLL_PREFIX=lib -DDLL_SUFFIX=.s0 -DBIN_SUFFIX= -DDIR_MACOS= -DDIR_RESOURCES=
-DBOOKMARKS_INCLUDE_DIR=/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/browser/locales/en-US/profile/

-DA11lY_LOG=1 -DACCESSIBILITY=1 -DATK_MAJOR_VERSION=2 -DATK_MINOR_VERSION=22 -DATK_REV_VERSION=0
-DBUILD_CTYPES=1 -DCROSS_COMPILE=" -DD_INO=d_ino -DENABLE_INTL_API=1 -DENABLE_SYSTEM_EXTENSION_DIRS=1
-DEXPOSE_INTL_API=1 -DFIREFOX_VERSION=53.0.3 -DFORCE_PR_LOG=1 -DFUNCPROTO=15
-DGDK_VERSION_MAX_ALLOWED=GDK_VERSION_3 4 -DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_2_ 32

-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2 26 -DGL_PROVIDER_GLX=1 -DHAVE_64BIT BUILD=1 -DHAVE_ALLOCA_H=1
-DHAVE_BYTESWAP_H=1  -DHAVE_CLOCK_MONOTONIC=1  -DHAVE_CPUID_H=1  -DHAVE_DIRENT H=1  -DHAVE_DLADDR=1
-DHAVE_DLOPEN=1 -DHAVE_FONTCONFIG_FCFREETYPE_H=1 -DHAVE_FT_BITMAP_SIZE_Y_PPEM=1
-DHAVE_FT_GLYPHSLOT_EMBOLDEN=1 -DHAVE_FT_LOAD_SFNT_TABLE=1 -DHAVE_GETOPT H=1 -DHAVE_GMTIME_R=1
-DHAVE_I18N_LC_MESSAGES=1 -DHAVE_INTTYPES H=1 -DHAVE_LANGINFO_CODESET=1 -DHAVE_LCHOWN=1 -DHAVE_LIBPNG=1
-DHAVE_LIBVPX=1 -DHAVE_LIBXSS=1 -DHAVE_LINUX_IF_ADDR_H=1 -DHAVE_LINUX_PERF_EVENT H=1 -DHAVE_LINUX_QUOTA_H=1
-DHAVE_LINUX_RTNETLINK_H=1 -DHAVE_LOCALECONV=1 -DHAVE_LOCALTIME_R=1 -DHAVE_LSTAT64=1 -DHAVE_MALLINFO=1
-DHAVE_MALLOC_H=1 -DHAVE_MALLOC_ USABLE_SIZE=1 -DHAVE_MEMALIGN=1 -DHAVE_MEMMEM=1 -DHAVE_NETINET_IN_H=1
-DHAVE_NL_TYPES_H=1 -DHAVE_POSIX_FADVISE=1 -DHAVE_POSIX_FALLOCATE=1 -DHAVE_POSIX_MEMALIGN=1
-DHAVE_PTHREAD_H=1 -DHAVE_RES_NINIT=1 -DHAVE_SETPRIORITY=1 -DHAVE_STAT64=1 -DHAVE_STDINT_H=1 -DHAVE_STRERROR=1
-DHAVE_STRNDUP=1  -DHAVE_SYSCALL=1  -DHAVE_SYS QUEUE_H=1 -DHAVE_SYS_QUOTA H=1 -DHAVE_SYS_TYPES_H=1
-DHAVE_THREAD_TLS KEYWORD=1 -DHAVE_TRUNCATE64=1 -DHAVE_UNISTD_H=1 -DHAVE_VALLOC=1 -DHAVE_VA_COPY=1

-DHAVE_VA_LIST_AS_ARRAY=1 -DHAVE_VISIBILITY_ATTRIBUTE=1 -DHAVE_VISIBILITY_HIDDEN_ATTRIBUTE=1
-DHAVE__UNWIND_BACKTRACE=1 -DHAVE___CXA_DEMANGLE=1 -DJS_DEFAULT_JITREPORT_GRANULARITY=3
-DMALLOC_H='<malloc.h>' -DMALLOC_USABLE_SIZE_CONST_PTR=" -DMOZILLA_UAVERSION="53.0" -DMOZILLA_VERSION="53.0.3"
-DMOZILLA_VERSION_U=53.0.3 -DMOZ_ACCESSIBILITY_ATK=1 -DMOZ_ADDON_SIGNING=1 -DMOZ_APP_UA_NAME=""
-DMOZ_APP_UA_VERSION="53.0.3" -DMOZ_B2G_0S_NAME="" -DMOZ_B2G_VERSION="1.0.0" -DMOZ_BUILD_APP=browser
-DMOZ_BUNDLED_FONTS=1 -DMOZ_CRASHREPORTER_ENABLE_PERCENT=100 -DMOZ_DATA_REPORTING=1
-DMOZ_DEFAULT_MOZILLA_FIVE_HOME="{usr/lib64/firefox" -DMOZ_DISTRIBUTION_ID="o0rg.mozilla" -DMOZ_DLL_SUFFIX=".s0"

-DMOZ_ENABLE_DBUS=1 -DMOZ_ENABLE_GIO=1 -DMOZ_ENABLE_MASK_AS_SHORTHAND=1 -DMOZ_ENABLE_PROFILER_SPS=1
-DMOZ_ENABLE_SIGNMAR=1  -DMOZ_ENABLE_SKIA=1  -DMOZ_ENABLE_XREMOTE=1  -DMOZ_FEEDS=1  -DMOZ_FFMPEG=1
-DMOZ_FFVPX=1 -DMOZ_FMP4=1 -DMOZ_GLUE_IN_PROGRAM=1 -DMOZ_GMP_SANDBOX=1 -DMOZ_INSTRUMENT EVENT_LOOP=1
-DMOZ_JEMALLOC4=1 -DMOZ_JSDOWNLOADS=1 -DMOZ_LIBAV_FFT=1 -DMOZ_LOGGING=1 -DMOZ_MACBUNDLE_ID=org.mozilla.firefox
-DMOZ_MEMORY=1 -DMOZ_OFFICIAL_BRANDING=1 -DMOZ_PEERCONNECTION=1 -DMOZ_PERMISSIONS=1 -DMOZ_PHOENIX=1
-DMOZ_PLACES=1 -DMOZ_RAW=1 -DMOZ_REPLACE_MALLOC=1 -DMOZ_SAMPLE_TYPE_FLOAT32=1 -DMOZ_SANDBOX=1 -DMOZ_SCTP=1
-DMOZ_SECUREELEMENT=1 -DMOZ_SERVICES_HEALTHREPORT=1 -DMOZ_SRTP=1 -DMOZ_STATIC_JS=1 -DMOZ_SYSTEM_SQLITE=1
-DMOZ_TREE_CAIRO=1 -DMOZ_TREE_PIXMAN=1 -DMOZ_UPDATE_CHANNEL=default -DMOZ_USER_DIR="mozilla" -DMOZ_VORBIS=1
-DMOZ_VPX_NO_MEM_REPORTING=1 -DMOZ_WEBGL_CONFORMANT=1 -DMOZ_WEBM_ENCODER=1 -DMOZ_WEBRTC=1
-DMOZ_WEBRTC_ASSERT_ALWAYS=1 -DMOZ_WEBRTC_SIGNALING=1 -DMOZ_WEBSPEECH=1 -DMOZ_WEBSPEECH_TEST_BACKEND=1
-DMOZ_WIDGET_GTK=3 -DMOZ_X11=1 -DMOZ_XUL=1 -DNO_NSPR_10_SUPPORT=1 -DNS_PRINTING=1 -DNS_PRINT_ PREVIEW=1
-DRELEASE_OR_BETA=1  -DSTATIC_JS_API=1  -DSTDC_HEADERS=1  -DTARGET_XPCOM_ABI="x86_64-gcc3"  -DUSE_SKIA=1
-DUSE_SKIA_GPU=1  -DU_USING_ICU_NAMESPACE=0 -DVA_COPY=va_copy -DXP_LINUX=1 -DXP_UNIX=1 -D_REENTRANT=1
-DAB_CD=en-US -DAB_CD=en-US -DMOZ_LANGPACK_EID=langpack-en-US@firefox.mozilla.org
-DMOZ_APP_|D={ec8030f7-c20a-464f-9b0e-13a3a9e97384} -DMOZ_APP_

VERSION=53.0.3 -DMOZ_APP_MAXVERSION=53.*
-DLOCALE_SRCDIR=/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/browser/locales/en-US
-DPKG_BASENAME="firefox-53.0.3.en-US.linux-x86_64' -DPKG_INST_BASENAME="firefox-53.0.3.en-US.linux-x86_64.installer'

-DTK_DEFINES=/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/toolkit/locales/en-US/defines.inc
-DAPP_DEFINES=/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/browser/locales/en-US/defines.inc
Ivar/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/toolkit/locales/generic/install.rdf -o ../../dist/xpi-stage/locale-en-US/install.rdf
Ivar/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/_virtualenv/bin/python -m mozbuild.action.zip -C
..I../dist/xpi-stage/locale-en-US
Ivar/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/dist/linux-x86_64/xpi/firefox-53.0.3.en-US.langpack.xpi  install.rdf  chrome
browser chrome.manifest
make[4]: Leaving directory '/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/browser/locales’
make[3]: Leaving directory '/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/browser/installer'
make[3]: Entering directory '/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/browser/installer'
make[3]: Nothing to be done for ‘tools'.
make[3]: Leaving directory '/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/browser/installer'
make[2]: Leaving directory '/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/browser/installer'
make[1]: Leaving directory '/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff"
rm -f /var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/jarlog/en-US.log
MOZ_PGO_INSTRUMENTED=1 JARLOG_FILE=jarlog/en-US.log EXTRA_TEST_ARGS=10 make -C
Ivar/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff pgo-profile-run
make[1]: Entering directory ‘/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff'
Ivar/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff/_virtualenv/bin/python
Ivar/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/build/pgo/profileserver.py 10
Traceback (most recent call last):
File "/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/build/pgo/profileserver.py”, line 31, in <module>
httpd.start(block=False)
File "/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/testing/mozbase/mozhttpd/mozhttpd/mozhttpd.py", line 260, in start
self.httpd = EasyServer((self.host, self.port), self.handler_class)
File "/usr/lib64/python2.7/SocketServer.py", line 417, in __init__
self.server_hind()
File "/usr/lib64/python2.7/BaseHTTPServer.py", line 108, in server_bind
SocketServer. TCPServer.server_bind(self)
File "/usr/lib64/python2.7/SocketServer.py", line 431, in server_bind
self.socket.bind(self.server_address)
File "/usr/lib64/python2.7/socket.py”, line 228, in meth
return getattr(self._sock,name)(*args)
socket.error: [Errno 98] Address already in use
make[1]: *** [Makefile:67: pgo-profile-run] Error 1
make[l]: Leaving directory '/var/calculate/tmp/portage/www-client/firefox-53.0.3/work/firefox-53.0.3/ff'
make: *** [client.mk:239: profiledbuild] Error 2
emake failed

</pre>

06/03/2017 12:19 pm - BaN'D'D%NE D B°N, D, Dub?
http://lwww.calculate-linux.ru/boards/1/topics/33922?r=34007#message-34007
http://lwww.calculate-linux.ru/boards/16/topics/34526?r=34529#message-34529

06/07/2017 09:38 am - D’D»D°D'D D¥:D NE DEDYD»PuN«D¥%:D NiDubysDoDvs
PeN‘DB¥NE B B°N,D,Bub? wrote:

> http://www.calculate-linux.ru/boards/1/topics/33922?r=34007#message-34007
> http://www.calculate-linux.ru/boards/16/topics/34526?r=34529#message-34529
Dib¢D°NeD,D+D¥, D¢ NEDVND»DYs. DDUD»NED-Ne D»D, NeNED°D-Nf D2 D¥D+NED°D- B2D°D»NZN$D N,NE?

06/10/2017 10:13 am - DaN‘D'D¥%NE D B°N,D bub?

DeD»DUD°ND°D%D NE, Db N...D°D D», D¢NEPUD NdD NfN%D D! DP¥%UDNEPYNe D° D2D°PYi! D'P¥%D»D3D¥ D»D, D+NfD DuNbPu
D¢D°NED NNE B¢ D¥D»NED -DY%D2D°N,DUb»Dubt D, D»D, D-D°D¢D,D»D NPy DoP°PoD¥Dl-bYD P+NfD'NE ND°D+b»D¥%bY%: DBY:P°
NeD¥:DuDYsNf DeDYNEND° D¢ NED, NeD+D¥NEDPDY firefox, D,D»D, NeD¥bub¥:D NPy D¢P%NEN, cl-core? D™ D¥N,NeD»DubID, D2D°NZ
NeN,Nf N,DubvaNf, D2D¥4D ¢ NED NN« Nf D¢ D¥%D»NED-D¥D2D°N,Dub»Dupt D2p¥.D-BYv:D, P°P°NZN, Ne
D¢ PuNED YD D NtDY:P%N-N,NENZ, D°P°P° D2 DD NDPU.  DYNEDYD+D»DUbv:D°  DP¥%NIPub?D D'D¥%P°: 8888 D¢ P¥NEN,
D NebD¢ D¥%D»NED-NfBUN, cl-core D¢D¥% NfDViD¥%D»NiD DD NZ B, firefox D¢NED, NeD+b¥%NED°PU Ne N,D»D°D3D¥%DYs pgo D D»Ne

NeD+D¥%N€D° NeN.D°N,D, NN, D°D, B'D»Ne D¥%D¢N.D YD B-D°NtD.D..
Dib¢P°NeD,D+D¥: D-D° D2DYD DY:D°DY:D Dyl

06/13/2017 07:48 am - D'D»D°D'D BY4D NE DEDYD»DUNDY:D, N1DubY2b°D¥s

PeN‘D B¥NE B B°N,D,Bub? wrote:

> DeD»Pub°ND°DYD NE, Peb N...D°D,b», DeNEDUD ND® NfN%D Dt D2D¥:D:NEDY:Ne D° D2D°PYil D"D¥%:D»D3D¥% D»D, PxNfD BuN,bu
DeD°NED N NE B¢ DYD»NED -DYD2D°N,DUD»DUDt D,D»D, D-D°D¢D,D»D, NPy DD°PoD¥%D-DY:D D+NfD'NE ND°DrD»D¥%bY: DY:D°
NeD¥:DubYaNf D¢ DYNEN,D° D¢ NED, NeD+D¥NED DY firefox, D,D»D, Nebv:bub¥:D, N bu B¢ D¥NEN, cl-core?

D'P¥%DNEDYNe DY:Du N D¥D»NEDDY: D2 NeN,D¥:D%. DeNeN,NE RNED°D-DDub» D"B¥DNfDYDUDY:N,DNTD,Ne DY:D° Neb°DN Dy
DYPZNDUDYNf  ND°PY% ND°D° NEPUD'DDY  Deb¥%NeD2D»NeNZN NeNe ReD°D-D%NDU  "D2DNfNDY:DY%NND," D, Dby
D¥%N p¥D+NED°DID°NZN,NeNe NfDIDu B,D-D2DuNeN DY:NDp NEDUNBUDY2D, Ne DY:D°NeNeD:D2NN... D¢ NEDYD+D»DUDY4?

06/22/2017 02:35 pm - Alexander Tratsevskiy

- Status changed from New to Feedback

D'D»D°D’' D, PYb NE DEDYD»DUNDY:D N+Dub%beD¥s wrote:

> D'P¥D¢NED¥N. DD NPYD»NEDDY: B2 NeN,D¥:DYa. DeNeN,NE NEDD-DPUD» D"D¥%DONfDYDUDYN,D°NTD Ne BY%D° NeD°DIN, DL
DYP%NDupYNf  KD°PY ND°D° NEPUD'DDPY D¢ D¥%NeD2D»NeNZN,NeNe RKeD°D-D%NDU  "D2DNfN-DY:DY%NND" D, DYbu
D¥N p¥D+NED°DID°NZN,NeNe NfDIDu B, D-D2DuN-N,DY:NBu NEPUNBUDYD, Ne DY2D°NeNeD¥:D2NN. .. D¢ NEDYD+D»DUDY4?

D D2DUNEND B, 3.5.5 NfN,D,D»D N, DxNfD DN, B,NeD¢ D¥D»NED -D¥D2D°N,NENNe B'NENfD3D¥D? D¢ DYNEN,.

06/22/2017 04:11 pm - D'D»D°D’ D, D¥b,NE DED¥:D»DuNDYD, NiDub¥:DoD¥s
1. D$D°P°D¥:DL? DED°P° D+ND»D¥: NfDoD°D-D°DY2D¥: D? NEPUDDYDY.DUbY:D D°NTD, D, ?
2. DCB¥D3D ' D° B2D¥D ¢ NEDYNe DY:DYDI1DY:D¥: D-D°D°NEND2D°N,NE.
